## inform-mode 1.6.2

=== Makefile ===
# Makefile for inform-mode

# Edit these variables to override the version of emacs and where to
# put the installed files
EMACS=emacs
PREFIX=/usr/local/share/emacs/site-lisp

# There is normally no need to edit anything below this line.

VERSION=1.6.2
ELS=inform-mode.el
ELCS=$(ELS:.el=.elc)
OTHER_FILES=AUTHORS COPYING COPYING-GPL-3 INSTALL Makefile NEWS README
DIST_FILES=$(ELS) $(OTHER_FILES)

EMACSFLAGS=
BATCH=$(EMACS) $(EMACSFLAGS) -batch -q -no-site-file -eval \
  "(setq load-path (cons (expand-file-name \".\") load-path))"

ZIP=zip

%.elc: %.el
	$(BATCH) --eval '(byte-compile-file "$<")'

all: $(ELCS)

install: all
	mkdir -p $(PREFIX)
	install -m 644 $(ELS) $(ELCS) $(PREFIX)

uninstall: 
	rm -f $(PREFIX)/${ELCS} $(PREFIX)/${ELS}

dist: inform-mode-$(VERSION).tar.gz inform-mode-$(VERSION).zip

inform-mode-$(VERSION).tar.gz: $(DIST_FILES)
	mkdir -p inform-mode-$(VERSION)
	cp --preserve=timestamps $(DIST_FILES) inform-mode-$(VERSION)
	tar cvzf inform-mode-$(VERSION).tar.gz inform-mode-$(VERSION)
	rm -rf inform-mode-$(VERSION)

inform-mode-$(VERSION).zip: $(DIST_FILES)
	mkdir -p inform-mode-$(VERSION)
	cp --preserve=timestamps $(DIST_FILES) inform-mode-$(VERSION)
	(cd inform-mode-$(VERSION); for x in $(OTHER_FILES); do mv $$x $$x.txt; done; rm -f Makefile.txt)
	$(ZIP) -l inform-mode-$(VERSION).zip inform-mode-$(VERSION)/*
	rm -rf inform-mode-$(VERSION)

clean:
	rm -rf *~ $(ELCS) *.tar.gz *.zip inform-mode-$(VERSION)

=== debian/changelog ===
inform-mode (1.6.2-3) unstable; urgency=medium

  * Specify current VCS for Debian packaging work.
  * Declare conformance to “Standards-Version: 4.6.1”.
    No additional changes required.
  * Specify the Bug-Submit email address as requested by upstream.
  * debian/elpa-inform-mode.lintian-overrides:
    * Remove Lintian overrides for a Lintian false positive now fixed.
  * Move package to “Section: editors”.
  * Use helpful substitution markers in UScan configuration.

 -- Ben Finney <bignose@debian.org>  Wed, 23 Nov 2022 15:45:29 +1100

inform-mode (1.6.2-2) unstable; urgency=medium

  * Install the upstream NEWS file as package changelog.
  * Install the upstream README document.

 -- Ben Finney <bignose@debian.org>  Sat, 07 May 2022 15:41:21 +1000

inform-mode (1.6.2-1) unstable; urgency=medium

  * The “Ananta Bijoy Das” release.
  * New upstream version.
    Closes: bug#673376. Thanks to Bart Martens for the report.
    Highlights since previous release:
    * License grant is GPLv3 or later.
    * Change log of historical versions.
    * Support Emacs ‘customize’ system.
      Closes: bug#665424. Thanks to Samuel Bronson for the report.
    * Support Emacs ‘next-error’ on Inform compilation errors.
    * Support Emacs ‘autoload’ detection.
    * Fix various ELisp byte-compilation errors and warnings.
      Closes: bug#941829. Thanks to John Goerzen for the report.
  * Migrate to Debian source package format “3.0 (quilt)”.
  * Change copyright license grant to GPLv3+.
  * Use current HTTPS URL for copyright format reference.
  * Set “Priority: optional”.
  * Set “Section: lisp” for the binary package.
  * Declare conformance to “Standards-Version: 4.6.0”.
    No additional changes required.
  * Specify the package build system does not require root privilege.
  * Declare Debhelper compatibility level 13.
  * debian/compat:
    * Remove obsolete configuration file.
  * Update dependency for ‘emacsen-common’.
  * Record upstream metadata in DEP-12 document.
  * Update package source documentation for standard packaging tools.
  * Define packaging build rules to ignore Makefile and use ‘dh_elpa’.
  * debian/emacsen-*, debian/elpa:
    * Transition packaging to use ‘dh_elpa’ to install files.
  * Transition the main binary package to new name, ‘elpa-inform-mode’.
  * Refine the main binary package description from upstream project.
  * Override false positive Lintian check for VCS-* field names.
  * Provide a virtual package that better implies Inform 6 conformance.
  * Override a Lintian false positive for Emacs Lisp file permission.

 -- Ben Finney <bignose@debian.org>  Wed, 27 Apr 2022 13:41:09 +1000

inform-mode (1.5.8-4) unstable; urgency=medium

  * The “Ahmed Rajib Haider” release.
  * Adopt this package. Thanks to Jan Christoph Nordholz for your work.
    Closes: bug#691726. Thanks to Bart Martens for the report.
  * Thanks to Samuel Bronson for work to modernise the Debian package.
  * Declare current Debian source package format.
  * Convert copyright information to copyright format version 1.0.
  * Refer specifically to GNU GPLv2 license terms.
  * Update copyright holder information.
  * Configure UScan to monitor and fetch upstream source releases.
  * Configure Git-Buildpackage for this package's source.
  * Document handling of Debian source package.
  * Correct an obsolete relation type in a build dependency declaration.
    Closes: bug#816475. Thanks to Paul Tagliamonte for the report.
  * Support Debhelper adding dependencies with “${misc:Depends}”.
  * Declare compatibility with Emacsen versions, as per Debian Emacs policy.
  * Declare upstream homepage.
  * Declare packaging VCS repository URLs.
  * Use the defined symbol for the Debian Emacs “flavor”.
  * Perform startup in Emacs only when the package directory exists.
    Closes: bug#550688. Thanks to A Mennucc for the report.
  * Use the Debian function for adding the package to the Emacs load-path.
    Closes: bug#663407. Thanks to Kevin Ryde for the report.
  * Install symlinks to ELisp source files, as per Debian Emacs policy.
    Closes: bug#665397. Thanks to Samuel Bronson for the report.
  * Add build targets recommended by Debian Policy §4.9.
  * Upgrade Debhelper requirement to “>= 8”, supported in every current
    Debian release.
  * Remove deprecated ‘-k’ option to ‘dh_clean’.
  * Declare conformance to “Standards-Version: 3.9.8”.

 -- Ben Finney <bignose@debian.org>  Mon, 19 Sep 2016 06:22:03 +1000

inform-mode (1.5.8-3) unstable; urgency=low

  * Clarify copyright.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Wed, 21 Nov 2007 11:19:24 +0100

inform-mode (1.5.8-2) unstable; urgency=low

  * Adopt package. Closes: #305463.
  * Bump debhelper to v5.
  * Move debhelper to Build-Depends (from ~-Indep).
  * Bump standards to 3.7.2 (no changes).
  * Insert full GPLv2 paragraph into debian/copyright.
  * Drop Suggests: inform because that package won't enter testing
    in the near future.

 -- Jan Christoph Nordholz <hesso@pool.math.tu-berlin.de>  Thu, 02 Aug 2007 13:31:55 +0200

inform-mode (1.5.8-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Switch to debhelper 4.
  * Remove dh_make examples.
  * debian/copyright: Update upstream URL.
  * debian/emacsen-install, debian/emacsen-remove: Remove unnecessary
    call to install-info.
  * Conforms to Standards version 3.6.2.

 -- Matej Vela <vela@debian.org>  Mon, 12 Sep 2005 15:29:58 +0200

inform-mode (1.5.6-3) unstable; urgency=low

  * Orphaning this package.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 19 Apr 2005 23:24:35 -0500

inform-mode (1.5.6-2) unstable; urgency=low

  * Applied patch from Robert Bihlmeyer to fix compilation problem
    with XEmacs.  Closes: #228530.
  * Fixed relative conffile path.  Closes: #215926.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  2 Mar 2004 21:08:50 -0600

inform-mode (1.5.6-1) unstable; urgency=low

  * New upstream release.


=== debian/control ===
Source: inform-mode
Maintainer: Ben Finney <bignose@debian.org>
Section: editors
Priority: optional
Build-Depends:
    dh-elpa,
    debhelper-compat (= 13)
Standards-Version: 4.6.1
Homepage: https://www.rupert-lane.org/inform-mode/
VCS-Git: https://salsa.debian.org/bignose/pkg-inform-mode.git
VCS-Browser: https://salsa.debian.org/bignose/pkg-inform-mode
Rules-Requires-Root: no

Package: elpa-inform-mode
Architecture: all
Depends:
    ${elpa:Depends},
    ${misc:Depends}
Provides: elpa-inform6-mode
Breaks: inform-mode (<< 1.6.2-1~)
Replaces: inform-mode (<< 1.6.2-1~)
Description: Emacs major mode for editing Inform 6 source
 ‘inform-mode’ is an Emacs major mode for editing source code in the
 Inform 6 programming language.
 .
 ‘inform-mode’ supports the usual Emacs program mode functions:
 automatic indentation, moving over expressions, comment and string
 filling, font locking, tags-file support, starting compiles and
 parsing errors. You can also run a Z-code interpreter against the
 compiled code.
 .
 Inform 6 is an object-oriented language for writing interactive
 fiction, also known as “text adventures” or “adventure games”.

Package: inform-mode
Section: oldlibs
Architecture: all
Depends:
    elpa-inform-mode,
    ${misc:Depends}
Description: transitional dummy package
 This is a dummy package for the transition to ‘elpa-inform-mode’.
 .
 This package can be safely removed.

=== debian/rules ===
#! /usr/bin/make -f
#
# debian/rules
# Part of the Debian ‘inform-mode’ package.
#
# This is free software, and you are welcome to redistribute it under
# certain conditions; see the end of this file for copyright
# information, grant of license, and disclaimer of warranty.

# Send HTTP traffic to the “discard” service during packaging actions.
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

export ELPA_NAME = inform-mode


%:
	# The upstream build system uses Make, but fails to install
	# correctly. Instead, we allow ‘dh_elpa’ to build and install
	# the Emacs Lisp package.
	dh $@ --with elpa --buildsystem=none


override_dh_elpa_test:
	# The Debhelper parser for package control files currently
	# fails. This causes ‘dh_elpa_test’ to crash. We work around
	# that with a no-op override for ‘dh_elpa_test’.
	# Remove this override when bug#1010241 is fixed.

override_dh_installchangelogs:
	dh_installchangelogs NEWS


# Copyright © 2022 Ben Finney <bignose@debian.org>
#
# This is free software: you may copy, modify, and/or distribute this work
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; version 3 of that license or any later version.
# No warranty expressed or implied.
# See the file '/usr/share/common-licenses/GPL-3' for details.


# Local variables:
# coding: utf-8
# mode: makefile
# End:
# vim: fileencoding=utf-8 filetype=make :

=== debian/watch ===
# debian/watch
# Debian UScan configuration for this package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Rupert Lane's repository.
opts = "" \
    https://www.rupert-lane.org/@PACKAGE@/releases/ \
    @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :

## inform-mode 2.0.1

=== debian/changelog ===
inform-mode (2.0.1-1) experimental; urgency=medium

  * The “Stéphane Charbonnier” release.
  * Upload to “experimental” suite for new binary package.
  * New upstream version.
    Highlights since previous release:
    * New maintainer, Reuben Thomas.
    * Requires Emacs version 24 or later.
    * Clean up Customize group names.
    * Correct detection of X11 environment.
    * Provide only Markdown formatted Read Me document.
    Closes: bug#1103911. Thanks to Reuben Thomas for the report.
  * Declare conformance to “Standards-Version: 4.7.2”.
    No additional changes required.
  * Enable Debhelper ‘dh_elpa_test’ step.
    Bug#1010241 is now fixed in Debian, allowing the tests to run.
  * debian/watch:
    * Update UScan configuration for current upstream repository.
  * debian/rules:
    * Remove attempt to install nonexistent upstream changelog.
    * Remove workaround for upstream build system, no longer needed.
  * debian/docs:
    * Install the remaining Markdown-formmatted Read Me document.
  * debian/patches:
    * Replace surveillance links with locally-installed files.
  * Build and install the user documentation package ‘inform-mode-doc’.
  * Override a Lintian warning for an obsolete package still used.

 -- Ben Finney <bignose@debian.org>  Tue, 03 Jun 2025 14:41:40 +1000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Build-Depends:
     dh-elpa,
     debhelper-compat (= 13)
-Standards-Version: 4.6.1
-Homepage: https://www.rupert-lane.org/inform-mode/
+Standards-Version: 4.7.2
+Homepage: https://rrthomas.github.io/inform-mode/
 VCS-Git: https://salsa.debian.org/bignose/pkg-inform-mode.git
 VCS-Browser: https://salsa.debian.org/bignose/pkg-inform-mode
 Rules-Requires-Root: no
@@ -17,6 +17,7 @@
     ${elpa:Depends},
     ${misc:Depends}
 Provides: elpa-inform6-mode
+Suggests: inform-mode-doc
 Breaks: inform-mode (<< 1.6.2-1~)
 Replaces: inform-mode (<< 1.6.2-1~)
 Description: Emacs major mode for editing Inform 6 source
@@ -42,3 +43,21 @@
  This is a dummy package for the transition to ‘elpa-inform-mode’.
  .
  This package can be safely removed.
+
+Package: inform-mode-doc
+Section: doc
+Architecture: all
+Depends:
+    fonts-font-awesome,
+    libjs-bootstrap,
+    libjs-jquery,
+    ${misc:Depends},
+Suggests: inform-mode
+Description: Emacs major mode for editing Inform 6 source — documentation
+ ‘inform-mode’ is an Emacs major mode for editing source code in the
+ Inform 6 programming language.
+ .
+ Inform 6 is an object-oriented language for writing interactive
+ fiction, also known as “text adventures” or “adventure games”.
+ .
+ This package installs the user documentation.

=== debian/rules ===
--- 
+++ 
@@ -16,25 +16,11 @@
 
 
 %:
-	# The upstream build system uses Make, but fails to install
-	# correctly. Instead, we allow ‘dh_elpa’ to build and install
-	# the Emacs Lisp package.
-	dh $@ --with elpa --buildsystem=none
+	dh $@ --with elpa
 
 
 
-override_dh_elpa_test:
-	# The Debhelper parser for package control files currently
-	# fails. This causes ‘dh_elpa_test’ to crash. We work around
-	# that with a no-op override for ‘dh_elpa_test’.
-	# Remove this override when bug#1010241 is fixed.
-
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS
-
-
-
-# Copyright © 2022 Ben Finney <bignose@debian.org>
+# Copyright © 2022–2025 Ben Finney <bignose@debian.org>
 #
 # This is free software: you may copy, modify, and/or distribute this work
 # under the terms of the GNU General Public License as published by the

=== debian/watch ===
# debian/watch
# Debian UScan configuration for this package.
# Manual page: ‘uscan(1)’.

# Version of UScan configuration format.
version = 4

# Source tarball from Reuben Thomas's repository.
opts = " \
        searchmode=plain, \
        " \
    https://api.github.com/repos/rrthomas/@PACKAGE@/tags?per_page=100 \
    /repos/rrthomas/@PACKAGE@/tarball/refs/tags/@ANY_VERSION@ \
    debian uupdate


# Local variables:
# coding: utf-8
# mode: conf
# End:
# vim: fileencoding=utf-8 filetype=conf :
